import { Static } from "@sinclair/typebox";
export declare const Account: import("@sinclair/typebox").TObject<{
    username: import("@sinclair/typebox").TString;
    password: import("@sinclair/typebox").TString;
    firstname: import("@sinclair/typebox").TString;
    lastname: import("@sinclair/typebox").TString;
    birthYear: import("@sinclair/typebox").TInteger;
}>;
export declare type Account = Static<typeof Account>;
export declare const AccountCreateSuccessResponse: {
    201: import("@sinclair/typebox").TObject<{
        accountId: import("@sinclair/typebox").TString;
    }>;
};
export declare const AccountCreateFailedResponse: {
    400: import("@sinclair/typebox").TObject<{
        message: import("@sinclair/typebox").TString;
    }>;
};
export declare const AccountCreateResponses: {
    201: import("@sinclair/typebox").TObject<{
        accountId: import("@sinclair/typebox").TString;
    }>;
    400: import("@sinclair/typebox").TObject<{
        message: import("@sinclair/typebox").TString;
    }>;
};
